pages
Create a new page
Create a new page
POST
/
api
/
company
/
pages
Create a new page
curl --request POST \
--url https://api.fluid.app/api/company/pages \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"page": {
"title": "<string>",
"html_code": "<string>",
"publish": true,
"image_url": "<string>",
"available_countries": [
"<string>"
],
"metadata": {}
}
}
'import requests
url = "https://api.fluid.app/api/company/pages"
payload = { "page": {
"title": "<string>",
"html_code": "<string>",
"publish": True,
"image_url": "<string>",
"available_countries": ["<string>"],
"metadata": {}
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
page: {
title: '<string>',
html_code: '<string>',
publish: true,
image_url: '<string>',
available_countries: ['<string>'],
metadata: {}
}
})
};
fetch('https://api.fluid.app/api/company/pages', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
"<string>"{
"message": "<string>",
"error": "<string>",
"error_message": "<string>",
"errors": "<string>",
"meta": {
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}
}Authorizations
Bearer token authentication
Body
application/json
Request payload
Show child attributes
Show child attributes
Response
string | number | boolean | null | any[] | object
Success
Any valid JSON value for provider, integration, theme, metadata, or other dynamic payloads whose keys are not fixed by the API contract.
⌘I
Create a new page
